System 2.0.0.0 4.0.0.0 System.Enum System.Flags

For more information about DVASPECT, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Specifies the desired data or view aspect of the object when drawing or getting data.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DVASPECT

  A representation of an object that lets that object be displayed as an embedded object inside a container. This value is typically specified for compound document objects. The presentation can be provided for the screen or printer.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DVASPECT

  A representation of an object on the screen as though it were printed to a printer using the Print command from the File menu. The described data may represent a sequence of pages.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DVASPECT

  An iconic representation of an object.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DVASPECT

  A thumbnail representation of an object that lets that object be displayed in a browsing tool. The thumbnail is approximately a 120 by 120 pixel, 16-color (recommended), device-independent bitmap potentially wrapped in a metafile.